3.6 Clamav make fail - BSD

This is a discussion on 3.6 Clamav make fail - BSD ; Hey Guys/Gals, If its too much of a hassle...I'll wait until either Fry's/DG/Illinois/USA gets a copy of 3.7 or I order 3.7 for all the new toys. I do plan to buy it in any case...just not on the shelf ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: 3.6 Clamav make fail

  1. 3.6 Clamav make fail

    Hey Guys/Gals,

    If its too much of a hassle...I'll wait until either
    Fry's/DG/Illinois/USA gets a copy of 3.7 or I order 3.7 for all the new
    toys. I do plan to buy it in any case...just not on the shelf yet and
    "uglp"...I didn't preorder! My bad. ;-(


    Sorry if I missed this one. Can you point me to documentation on how
    to build Clamav on 3.6.


    Following the instructions at the following link I download via cvs
    Clamav
    http://www.fatbsd.com/openbsd/clamav/

    Then updated Zlib using same.

    Made it through ./configure with --disable-zlib-vcheck but all to no
    avail after a couple of make failures.


    After the following error I edited
    /usr/ports/security/clamav/w-clamav-0.85.1/clamav-0.85.1/libclamav/mbox.c

    gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I./zziplib -I./mspack -g -O2 -c
    mbox.c -Wp,-MD,.deps/mbox.TPlo -fPIC -DPIC -o .libs/mbox.lo
    mbox.c:138: curl/curl.h: No such file or directory
    *** Error code 1

    Stop in /usr/local/clamav/libclamav.
    *** Error code 1

    Stop in /usr/local/clamav (line 368 of Makefile).
    *** Error code 1

    Stop in /usr/local/clamav (line 227 of Makefile).


    Edit:
    /usr/ports/security/clamav/w-clamav-0.85.1/clamav-0.85.1/libclamav/mbox.c
    135 /* was include 136 */
    137 #include
    138


    If I'm way off...just be kind please. :-)


    Thanks!


  2. Re: 3.6 Clamav make fail

    Inquiry wrote:

    > Hey Guys/Gals,
    >
    > If its too much of a hassle...I'll wait until either
    > Fry's/DG/Illinois/USA gets a copy of 3.7 or I order 3.7 for all the new
    > toys. I do plan to buy it in any case...just not on the shelf yet and
    > "uglp"...I didn't preorder! My bad. ;-(
    >
    >
    > Sorry if I missed this one. Can you point me to documentation on how
    > to build Clamav on 3.6.
    >
    >
    > Following the instructions at the following link I download via cvs
    > Clamav
    > http://www.fatbsd.com/openbsd/clamav/
    >
    >


    I think you'll find that port is for the 3.7 ports environment. That it
    different from the 3.6 ports environment and ports cannot be built that way
    for 3.6.

    The idiot has (for some reason) blocked/removed the earlier ports so no-one
    can use clamav on 3.6 or earlier unless they build directly from the Clamav
    source.

    I have a copy of a 3.6 clamav port I could mail you (if you don't mind a 70K
    message) but it's only version 0.80, the 3.7 package is for 0.83.

  3. Re: 3.6 Clamav make fail

    It's cool. I appreciate the offer but I'll wait until I pick up 3.7 in
    the next month. I see I would be missing many resourceful updates to
    the overall OS.

    I'm just trying to learn how to install and use the different systems
    and services provided through the OpenBSD sysytem, ports and packages
    and wondered if I was on the right track. I find that I may have been
    off somewhat given the environment should have been able to find the
    file needed for the make and install....but if the overall package has
    been marginalized I'll hang in there another week.

    On to another learning task! Authentication!


    Thanks Keith!



    Keith Matthews wrote:
    > Inquiry wrote:
    >
    > > Hey Guys/Gals,
    > >
    > > If its too much of a hassle...I'll wait until either
    > > Fry's/DG/Illinois/USA gets a copy of 3.7 or I order 3.7 for all the new
    > > toys. I do plan to buy it in any case...just not on the shelf yet and
    > > "uglp"...I didn't preorder! My bad. ;-(
    > >
    > >
    > > Sorry if I missed this one. Can you point me to documentation on how
    > > to build Clamav on 3.6.
    > >
    > >
    > > Following the instructions at the following link I download via cvs
    > > Clamav
    > > http://www.fatbsd.com/openbsd/clamav/
    > >
    > >

    >
    > I think you'll find that port is for the 3.7 ports environment. That it
    > different from the 3.6 ports environment and ports cannot be built that way
    > for 3.6.
    >
    > The idiot has (for some reason) blocked/removed the earlier ports so no-one
    > can use clamav on 3.6 or earlier unless they build directly from the Clamav
    > source.
    >
    > I have a copy of a 3.6 clamav port I could mail you (if you don't mind a 70K
    > message) but it's only version 0.80, the 3.7 package is for 0.83.



+ Reply to Thread